%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define schemas polly

%define bzr_rev	395
Name:		polly
Version:	0.93.3
Release:	1.%{bzr_rev}bzr%{?dist}
Summary:	Polly is a Linux Twitter client designed for multiple columns of multiple accounts.

#Group:		
License:	GNU GPL v3
URL:		https://launchpad.net/polly
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  bzr branch -r %{bzr_rev} polly
#  tar -czvf polly-%{bzr_rev}bzr.tar.gz polly
Source0:	%{name}-%{bzr_rev}bzr.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python2-devel
Requires:	python python-SocksiPy python-keyring dbus-python
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):	GConf2

%description
Linux Twitter client with multiple columns of multiple accounts

%pre
%gconf_schema_prepare %{schemas}
%gconf_schema_obsolete %{schemas}

%prep
%setup -q -n polly

%build
%{__python} setup.py build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}
%{__install} -Dp -m0644 %{buildroot}%{_datadir}/gconf/schemas/polly.schemas %{buildroot}%{_sysconfdir}/gconf/schemas/polly.schemas

%post
#%gconf_schema_upgrade polly
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
%{_sysconfdir}/gconf/schemas/polly.schemas > /dev/null || :

%preun
%gconf_schema_remove polly

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%dir %{_datadir}/%{name}/
%dir %{_datadir}/gconf/schemas/
%{_datadir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/polly.schemas
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polly/iconsets/*
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/icons/hicolor/*/status/%{name}-active.svg
%{_datadir}/icons/hicolor/*/status/%{name}-normal.svg
%{_datadir}/icons/Faenza/apps/48/%{name}*
%{python_sitelib}/%{name}/
%{python_sitelib}/Polly-%{version}._pre_alpha.3.3_-py2.7.egg-info

%changelog
* Tue Mar 06 2012 Vinzenz Vietzke <vietzke@b1-systems.de> 0.93.3-1.395bzr
- fixed GConf schema installation

* Mon Mar 05 2012 Vinzenz Vietzke <vietzke@b1-systems.de> 0.93.3-1.395bzr
- Updated build

* Mon Sep 26 2011 Vinzenz Vietzke <vietzke@b1-systems.de> 0.92.1-1.253bzr
- Initial package build.
